- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Attributes | List of all members
qi::detail::StrandedUnwrapped< F > Struct Template Reference

`#include <strand.hpp>`

## Public Member Functions
template<typename FF >
| StrandedUnwrapped (FF &&f, const boost::weak_ptr< StrandPrivate > &strand, const boost::function< void()> &onFail, ExecutionOptions options)
template<typename... Args>
auto | operator() (Args &&...args) const -> decltype(tryUnwrap(_stranded(std::forward< Args >(args)...)))
template<typename... Args>
auto | operator() (Args &&...args) -> decltype(tryUnwrap(_stranded(std::forward< Args >(args)...)))

## Static Public Attributes
static const bool | is_async = true

## Detailed Description

### template<typename F>
struct qi::detail::StrandedUnwrapped< F >

Definition at line 40 of file strand.hpp.

## Constructor & Destructor Documentation

template<typename F >
template<typename FF >

qi::detail::StrandedUnwrapped< F >::StrandedUnwrapped | ( | FF && | f,
|  | const boost::weak_ptr< StrandPrivate > & | strand,
|  | const boost::function< void()> & | onFail,
|  | ExecutionOptions | options
| ) |  |
| inline

Definition at line 384 of file strand.hpp.

## Member Function Documentation

template<typename F >
template<typename... Args>

auto qi::detail::StrandedUnwrapped< F >::operator() | ( | Args &&... | args | ) | const -> decltype(tryUnwrap(_stranded(std::forward<Args>(args)...)))
| inline

Definition at line 389 of file strand.hpp.

template<typename F >
template<typename... Args>

auto qi::detail::StrandedUnwrapped< F >::operator() | ( | Args &&... | args | ) | -> decltype(tryUnwrap(_stranded(std::forward<Args>(args)...)))
| inline

Definition at line 396 of file strand.hpp.

## Member Data Documentation

template<typename F >

const bool qi::detail::StrandedUnwrapped< F >::is_async = true
| static

Definition at line 377 of file strand.hpp.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/strand.hpp